### Method

# Ggit Remote prune

#### Declaration [src]

    void
    ggit_remote_prune (
      GgitRemote* remote,
      GgitRemoteCallbacks* callbacks,
      GError** error
    )

#### Description [src]

Prune tracking refs that are no longer present on remote.

#### Parameters

`callbacks`

  Type: `GgitRemoteCallbacks`

  The callbacks to use for this connection.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.